public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Tim Harder" <radhermit@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: www-client/lynx/
Date: Wed,  3 Jul 2019 20:09:02 +0000 (UTC)	[thread overview]
Message-ID: <1562184527.8127c76258dcf546f077b3527f4e3a9a9d88c3ea.radhermit@gentoo> (raw)

commit:     8127c76258dcf546f077b3527f4e3a9a9d88c3ea
Author:     Tim Harder <radhermit <AT> gentoo <DOT> org>
AuthorDate: Wed Jul  3 19:51:23 2019 +0000
Commit:     Tim Harder <radhermit <AT> gentoo <DOT> org>
CommitDate: Wed Jul  3 20:08:47 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8127c762

www-client/lynx: version bump to 2.9.0_pre1

Signed-off-by: Tim Harder <radhermit <AT> gentoo.org>

 www-client/lynx/Manifest               |   1 +
 www-client/lynx/lynx-2.9.0_pre1.ebuild | 105 +++++++++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/www-client/lynx/Manifest b/www-client/lynx/Manifest
index 4d4a15e592b..1146a51cb27 100644
--- a/www-client/lynx/Manifest
+++ b/www-client/lynx/Manifest
@@ -1,2 +1,3 @@
 DIST lynx2.8.9dev.16.tar.bz2 2674662 BLAKE2B 3771199e4d74dcc38c15b8b75207810d3a4f3afabb76d5d8dc7dcd33c5dd0119f0f28a1a719f54df7ed0ecdfb972942c6439536486f99a685febbc252127cc3f SHA512 6aa5e869924c6e42aa68113985aecfb75dc6eb68d5d7db8cedb9843621d29c36c17078e7a692f472e3e7f1edf7ca666e3614bc3bdb092a3631877733d5e3d518
 DIST lynx2.8.9rel.1.tar.bz2 2689171 BLAKE2B 7cff536660e8fe77d40a56262c2f12e2093ffbb3e22a5ac8e7eab4410f0255e98df19e51f0c98d53aeb3ba63d0d1c2fcabe145242811bebcafb6e548a162a9fb SHA512 61edbe082684fcbd91bdbf4f4d27c3baf92358811aaffc2f8af46adf23ca7b48aede1520fc5f2a8fc974a2f4bbf4e57e7e6027a187bfc6101e56878c98178e6d
+DIST lynx2.9.0dev.1.tar.bz2 2689103 BLAKE2B c82b208e8628efc0f01f35be554fa9c7de0f942cbd76307f7c8aa0d04638a9b89e206e84603c750096036e3469a310d274079caf6a535f15041e119046014845 SHA512 b17361de68fccb8f446210f806fb325468110354858353bc8aaf9b9ae38f9c9f33f592b9fc5ffd31738fe632032cc952347391cd77c5a7b5e5b85be579203e19

diff --git a/www-client/lynx/lynx-2.9.0_pre1.ebuild b/www-client/lynx/lynx-2.9.0_pre1.ebuild
new file mode 100644
index 00000000000..c5180789737
--- /dev/null
+++ b/www-client/lynx/lynx-2.9.0_pre1.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+# VERSIONING SCHEME TRANSLATION
+# Upstream	:	Gentoo
+# rel.		:	_p
+# pre.		:	_rc
+# dev.		:	_pre
+
+case ${PV} in
+	*_pre*) MY_P="${PN}${PV/_pre/dev.}" ;;
+	*_rc*)  MY_P="${PN}${PV/_rc/pre.}" ;;
+	*_p*|*) MY_P="${PN}${PV/_p/rel.}" ;;
+esac
+
+DESCRIPTION="An excellent console-based web browser with ssl support"
+HOMEPAGE="http://lynx.invisible-island.net/"
+SRC_URI="http://invisible-mirror.net/archives/lynx/tarballs/${MY_P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
+IUSE="bzip2 cjk gnutls idn ipv6 nls ssl unicode libressl"
+
+RDEPEND="
+	sys-libs/ncurses:0=[unicode?]
+	sys-libs/zlib
+	nls? ( virtual/libintl )
+	ssl? (
+		!gnutls? (
+			!libressl? ( dev-libs/openssl:0= )
+			libressl? ( dev-libs/libressl:= )
+		)
+		gnutls? (
+			dev-libs/libgcrypt:0=
+			>=net-libs/gnutls-2.6.4:=
+		)
+	)
+	bzip2? ( app-arch/bzip2 )
+	idn? ( net-dns/libidn:0= )
+"
+
+DEPEND="${RDEPEND}
+	nls? ( sys-devel/gettext )
+	virtual/pkgconfig"
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+	"${FILESDIR}"/${PN}-2.8.6-mint.patch
+	"${FILESDIR}"/${PN}-2.8.9_p1-parallel.patch
+)
+
+pkg_setup() {
+	! use ssl && elog "SSL support disabled; you will not be able to access secure websites."
+}
+
+src_configure() {
+	local myconf=(
+		--enable-nested-tables
+		--enable-cgi-links
+		--enable-persistent-cookies
+		--enable-prettysrc
+		--enable-nsl-fork
+		--enable-file-upload
+		--enable-read-eta
+		--enable-color-style
+		--enable-scrollbar
+		--enable-included-msgs
+		--enable-externs
+		--with-zlib
+		$(use_enable nls)
+		$(use_enable idn idna)
+		$(use_enable ipv6)
+		$(use_enable cjk)
+		$(use_enable unicode japanese-utf8)
+		$(use_with bzip2 bzlib)
+		$(usex ssl "--with-$(usex gnutls gnutls ssl)=${EPREFIX}/usr" "")
+		--with-screen=$(usex unicode "ncursesw" "ncurses")
+	)
+
+	econf "${myconf[@]}"
+}
+
+src_compile() {
+	# generating translation files in parallel is currently broken
+	use nls && emake -C po -j1
+	emake
+}
+
+src_install() {
+	emake install DESTDIR="${D}"
+
+	sed -i "s|^HELPFILE.*$|HELPFILE:file://localhost/usr/share/doc/${PF}/lynx_help/lynx_help_main.html|" \
+			"${ED}"/etc/lynx.cfg || die "lynx.cfg not found"
+	if use unicode ; then
+		sed -i '/^#CHARACTER_SET:/ c\CHARACTER_SET:utf-8' \
+				"${ED}"/etc/lynx.cfg || die "lynx.cfg not found"
+	fi
+
+	dodoc CHANGES COPYHEADER PROBLEMS README
+	dodoc -r docs lynx_help
+}


             reply	other threads:[~2019-07-03 20:09 UTC|newest]

Thread overview: 131+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-03 20:09 Tim Harder [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-12-12 11:08 [gentoo-commits] repo/gentoo:master commit in: www-client/lynx/ Sam James
2024-11-08  2:49 Sam James
2024-11-04 16:47 Arthur Zamarin
2024-11-04  3:28 Sam James
2024-11-04  3:28 Sam James
2024-11-04  3:28 Sam James
2024-11-04  3:04 Sam James
2024-11-04  3:04 Sam James
2024-09-18  6:29 Sam James
2024-09-18  5:24 Sam James
2024-05-25 17:31 Arthur Zamarin
2024-05-19 17:49 Arthur Zamarin
2024-05-19 17:12 Arthur Zamarin
2024-05-19 17:09 Sam James
2024-05-19 17:09 Sam James
2024-05-19 17:06 Arthur Zamarin
2024-05-19 17:03 Arthur Zamarin
2023-12-16  8:53 Sam James
2023-12-16  8:53 Sam James
2023-10-27 15:20 Michał Górny
2023-04-05 12:39 Arthur Zamarin
2023-04-04 23:17 Sam James
2023-04-04 22:52 Sam James
2023-04-04 22:42 Sam James
2023-04-04 22:42 Sam James
2023-04-04 20:13 Arthur Zamarin
2023-04-04 19:21 Arthur Zamarin
2023-04-04 19:19 Arthur Zamarin
2023-02-26 20:02 Arthur Zamarin
2023-02-26 19:34 Arthur Zamarin
2023-02-24 16:58 Arthur Zamarin
2023-02-24 16:27 Arthur Zamarin
2023-02-24 16:16 Arthur Zamarin
2023-02-24 16:06 Arthur Zamarin
2023-02-24 16:06 Arthur Zamarin
2023-02-24 15:59 Arthur Zamarin
2023-02-22 16:37 Sam James
2023-01-11  5:15 Sam James
2022-12-30  7:32 Sam James
2022-12-18 19:28 Arthur Zamarin
2022-12-18 12:47 Sam James
2022-12-18 12:45 Sam James
2022-12-18 12:45 Sam James
2022-12-18 12:11 Sam James
2022-12-18 11:55 Sam James
2022-12-18 11:37 Sam James
2022-12-18 11:30 Sam James
2022-10-13 23:37 Sam James
2022-08-10 20:29 Sam James
2021-10-26 16:07 Sam James
2021-10-18  0:38 Sam James
2021-10-18  0:38 Sam James
2021-10-17 20:04 Sam James
2021-10-17 19:10 Sam James
2021-10-17 19:09 Sam James
2021-10-17 19:09 Sam James
2021-10-17 19:09 Sam James
2021-08-04  9:01 Sergei Trofimovich
2021-07-17 21:30 David Seifert
2021-07-01 22:41 Marek Szuba
2021-05-09 12:53 David Seifert
2021-04-30 18:30 Mikle Kolyada
2021-03-06 10:13 Sergei Trofimovich
2021-02-27 10:44 Sam James
2021-02-27 10:08 Sam James
2021-02-26 17:34 Sergei Trofimovich
2021-02-26 16:11 Sam James
2021-02-26 14:19 Agostino Sarubbo
2021-02-26 14:03 Sam James
2021-02-26 14:00 Sam James
2021-02-26 13:59 Sam James
2021-02-26 13:53 Sam James
2021-01-28  8:09 Sergei Trofimovich
2021-01-27 17:45 Sergei Trofimovich
2021-01-27  8:28 Sergei Trofimovich
2021-01-25  0:43 Sam James
2021-01-24 15:42 Sam James
2021-01-24 13:35 Sam James
2021-01-24 13:31 Sam James
2021-01-24 13:31 Sam James
2021-01-24 12:10 Agostino Sarubbo
2021-01-24 11:58 Agostino Sarubbo
2021-01-24  1:34 Sam James
2021-01-23 12:46 Sergei Trofimovich
2021-01-23 12:28 Sergei Trofimovich
2021-01-23 12:28 Sergei Trofimovich
2021-01-06 11:37 Fabian Groffen
2020-12-27 18:22 Fabian Groffen
2020-07-03 22:59 Tim Harder
2020-07-03 22:59 Tim Harder
2020-06-15  2:35 Aaron Bauman
2019-11-17 22:10 Tim Harder
2019-09-28  2:47 Tim Harder
2019-07-29  8:46 Mikle Kolyada
2019-07-22 23:51 Aaron Bauman
2019-07-09  9:31 Agostino Sarubbo
2019-07-05 10:13 Agostino Sarubbo
2019-07-05  8:43 Agostino Sarubbo
2019-07-05  8:42 Agostino Sarubbo
2019-07-05  8:41 Agostino Sarubbo
2019-07-05  8:41 Agostino Sarubbo
2019-07-04 18:23 Sergei Trofimovich
2019-07-04 12:33 Agostino Sarubbo
2019-03-16 18:56 Mikle Kolyada
2018-12-13  7:17 Tim Harder
2018-05-30 16:06 Mikle Kolyada
2018-05-14 12:38 Tobias Klausmann
2018-05-01 10:48 Mart Raudsepp
2018-04-19 22:14 Sergei Trofimovich
2018-04-16 21:54 Mikle Kolyada
2018-04-16 21:03 Sergei Trofimovich
2018-04-16 18:36 Sergei Trofimovich
2018-04-15 18:58 Thomas Deutschmann
2018-04-14 17:29 Aaron Bauman
2017-09-05 22:07 Tim Harder
2017-09-03 17:14 Tim Harder
2017-07-13  6:11 Tim Harder
2017-04-12 11:10 Tim Harder
2017-02-18 14:44 Agostino Sarubbo
2017-02-17 10:56 Agostino Sarubbo
2017-02-15 13:49 Tobias Klausmann
2017-02-12 20:00 Markus Meier
2017-02-12 15:44 Agostino Sarubbo
2017-02-08  2:02 Michael Weber
2017-02-04 15:21 Agostino Sarubbo
2017-02-03 22:05 Jeroen Roovers
2016-12-10 19:27 Tim Harder
2016-08-07  5:39 Tim Harder
2015-08-25  3:31 Tim Harder
2015-08-16 10:52 Justin Lecher

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1562184527.8127c76258dcf546f077b3527f4e3a9a9d88c3ea.radhermit@gentoo \
    --to=radhermit@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox